---
- name: Configure defaults
  debug:
    msg: "Check roles/kubespray-defaults/defaults/main.yml"
  tags:
    - always

# do not run gather facts when bootstrap-os in roles
- name: set fallback_ips
  include_tasks: fallback_ips.yml
  when:
    - "'bootstrap-os' not in ansible_play_role_names"
    - fallback_ips is not defined
  tags:
    - always

- name: set no_proxy
  include_tasks: no_proxy.yml
  when:
    - "'bootstrap-os' not in ansible_play_role_names"
    - http_proxy is defined or https_proxy is defined
    - no_proxy is not defined
  tags:
    - always
